=== src/Cifti/CMakeLists.txt ===

PROJECT(Cifti)

SET(HEADERS
CiftiXML.h
CiftiVersion.h

CiftiMappingType.h
CiftiBrainModelsMap.h
CiftiLabelsMap.h
CiftiParcelsMap.h
CiftiScalarsMap.h
CiftiSeriesMap.h

Label.h
LabelTable.h
MetaData.h

StructureEnum.h
VolumeSpace.h
)

SET(SOURCES
CiftiXML.cxx
CiftiVersion.cxx

CiftiMappingType.cxx
CiftiBrainModelsMap.cxx
CiftiLabelsMap.cxx
CiftiParcelsMap.cxx
CiftiScalarsMap.cxx
CiftiSeriesMap.cxx

Label.cxx
LabelTable.cxx
MetaData.cxx

StructureEnum.cxx
VolumeSpace.cxx
)
