=== src/Nifti/CMakeLists.txt ===

project (Nifti)

SET(HEADERS
NiftiHeader.h
)

SET(SOURCES
NiftiHeader.cxx
)
