=== debian/changelog ===
ciftilib (1.5.1-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:11:17 +0000

ciftilib (1.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #818983)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 08 Nov 2016 19:21:03 +0000
