=== debian/control ===
Source: ciftilib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-dev,
               libboost-filesystem-dev,
               libxml++2.6-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ciftilib.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/ciftilib.git
Homepage: https://github.com/Washington-University/CiftiLib

Package: libcifti0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library for manipulating CIFTI files
 CIFTI (Connectivity Informatics Technology Initiative) standardizes the file
 formats for storage of connectivity data. These formats are developed by the
 Human Connectome Project and other interested parties.
 .
 CiftiLib is a C++ library for CIFTI-1 and CIFTI-2 file I/O, supporting both
 on-disk and in-memory access. It also provides facilities for reading and
 writing generic NIfTI-1 and NIfTI-2 files.
 .
 This package provides the shared libraries.

Package: libcifti-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libboost-dev,
         libcifti0 (= ${binary:Version}),
         libxml++2.6-dev
Suggests: libcifti-doc
Description: development files for CiftiLib
 CIFTI (Connectivity Informatics Technology Initiative) standardizes the file
 formats for storage of connectivity data. These formats are developed by the
 Human Connectome Project and other interested parties.
 .
 CiftiLib is a C++ library for CIFTI-1 and CIFTI-2 file I/O, supporting both
 on-disk and in-memory access. It also provides facilities for reading and
 writing generic NIfTI-1 and NIfTI-2 files.
 .
 This package provides the development files.

Package: libcifti-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for CiftiLib
 CIFTI (Connectivity Informatics Technology Initiative) standardizes the file
 formats for storage of connectivity data. These formats are developed by the
 Human Connectome Project and other interested parties.
 .
 CiftiLib is a C++ library for CIFTI-1 and CIFTI-2 file I/O, supporting both
 on-disk and in-memory access. It also provides facilities for reading and
 writing generic NIfTI-1 and NIfTI-2 files.
 .
 This package provides the documentation.
