=== debian/tests/control ===
Tests: ciftilib-tests
Depends: @, cmake, g++ | c++-compiler, pkg-config
