=== src/Common/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-
-PROJECT(Common)
 
 SET(HEADERS
 AString.h
