=== debian/changelog ===
ciftilib (1.5.3-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Apr 2020 07:58:14 +0000

ciftilib (1.5.3-3) unstable; urgency=medium

  * Team upload.
  * FTBFS with Boost 1.71
    Closes: #948665
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sat, 11 Jan 2020 18:03:26 +0100

ciftilib (1.5.3-2ubuntu1) disco; urgency=medium

  * Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 04 Apr 2019 13:32:13 +0000

ciftilib (1.5.3-2) unstable; urgency=medium

  * gbp.conf: drop pq settings
  * Cherry-pick upstream fix for FTBFS on big endian.
    Thanks to Adrian Bunk for reporting (Closes: #921555)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 02 Apr 2019 21:49:25 +0200

ciftilib (1.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Do not run build time tests parallel

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 10:15:35 +0100

ciftilib (1.5.1-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest after moving docs to different location
    Closes: #901832, #901833

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 09:58:56 +0200

ciftilib (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * Do not run test suite for arch indep builds
    Closes: #901105
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Debhelper 11 installs docs to /usr/share/doc/libcifti-dev/

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 14:53:35 +0200
