=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ciftilib
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                libboost-dev,
                libboost-filesystem-dev,
                libxml++2.6-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ciftilib.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ciftilib.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/ciftilib
+Vcs-Git: https://salsa.debian.org/med-team/ciftilib.git
 Homepage: https://github.com/Washington-University/CiftiLib
 
 Package: libcifti0
