=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,11 @@
 
 override_dh_compress-indep:
 	dh_compress --indep --exclude=examples
+
+override_dh_auto_test-indep:
+	echo "Do not run test suite for arch indep builds"
+
+override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test --no-parallel
+endif
