=== src/Cifti/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-
-PROJECT(Cifti)
 
 SET(HEADERS
 CiftiXML.h
