=== src/Nifti/CMakeLists.txt ===

SET(HEADERS
NiftiHeader.h
)

SET(SOURCES
NiftiHeader.cxx
)
