=== debian/changelog ===
ciftilib (1.6.0-2) unstable; urgency=medium

  * Team Upload.
  * Do not (auto_)install anything in arch:all binary
    since this is only a doc package (Closes: #980852)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 23 Jan 2021 10:32:03 +0000

ciftilib (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove default debian/gbp.conf
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 15:26:15 +0100

ciftilib (1.5.3-4) unstable; urgency=medium

  * Team upload
  * Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@debian.org>  Sun, 04 Oct 2020 12:35:25 +0000
