=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: ciftilib
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libboost-dev,
                libboost-filesystem-dev,
                libxml++2.6-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/ciftilib
 Vcs-Git: https://salsa.debian.org/med-team/ciftilib.git
 Homepage: https://github.com/Washington-University/CiftiLib
+Rules-Requires-Root: no
 
 Package: libcifti0
 Architecture: any
