=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,12 @@
 override_dh_auto_build-indep:
 	dh_auto_build -- doc
 
+override_dh_auto_install-indep:
+	echo "DO NOTHING IN dh_auto_install in binary independent package since this only has docs"
+
+override_dh_install-indep:
+	echo "DO NOTHING IN dh_install in binary independent package since this only has docs"
+
 override_dh_installdocs-indep:
 	dh_installdocs --indep
 	dh_doxygen --indep
