=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/CiftiLib-$1\.tar\.gz/ \
https://github.com/Washington-University/CiftiLib/tags .*/v?(\d\S*)\.tar\.gz
